net.sf.okapi.common.uidescription

## Class FolderInputPart

- java.lang.Object
- - net.sf.okapi.common.uidescription.AbstractPart
  - - net.sf.okapi.common.uidescription.FolderInputPart

- All Implemented Interfaces:
    IParameterDescriptor

      public class FolderInputPart
      extends AbstractPart

  UI part descriptor for a folder/directory. This UI part supports the following types: String.

- - ### Field Summary

    - ### Fields inherited from class net.sf.okapi.common.uidescription.AbstractPart

      `container, enabledOnSelection, labelFlushed, labelNextToInput, masterPart, paramDescriptor, vertical, withLabel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FolderInputPart(ParameterDescriptor paramDescriptor, java.lang.String browseTitle)` Creates a new FolderInputPart object with a given parameter descriptor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkType()` Checks the types supported by this UI part.
    `java.lang.String` | `getBrowseTitle()` Gets the title of the folder browsing dialog.
    `void` | `setBrowseTitle(java.lang.String browseTitle)` Sets the title of the folder browsing dialog.

    - ### Methods inherited from class net.sf.okapi.common.uidescription.AbstractPart

      `getContainer, getDisplayName, getMasterPart, getName, getParent, getReadMethod, getShortDescription, getType, getWriteMethod, isEnabledOnSelection, isLabelFlushed, isLabelNextToInput, isVertical, isWithLabel, setContainer, setDisplayName, setLabelFlushed, setLabelNextToInput, setMasterPart, setShortDescription, setVertical, setWithLabel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FolderInputPart

          public FolderInputPart(ParameterDescriptor paramDescriptor,
                                 java.lang.String browseTitle)

      Creates a new FolderInputPart object with a given parameter descriptor.
      Parameters:
        `paramDescriptor` - the parameter descriptor for this UI part.
        `browseTitle` - the title to use for the folder browsing dialog.

  - ### Method Detail

    - #### checkType

          protected void checkType()

      Description copied from class: `AbstractPart`
      Checks the types supported by this UI part.
      Overrides:
        `checkType` in class `AbstractPart`

    - #### getBrowseTitle

          public java.lang.String getBrowseTitle()

      Gets the title of the folder browsing dialog.
      Returns:
        the title of the folder browsing dialog.

    - #### setBrowseTitle

          public void setBrowseTitle(java.lang.String browseTitle)

      Sets the title of the folder browsing dialog.
      Parameters:
        `browseTitle` - the new title of the folder browsing dialog.